# Slides HTML Parameter Reference

$Id: param.xweb 6633 2007-02-21 18:33:33Z xmldoc $
Walsh
Norman
2002
Norman Walsh

This is reference documentation for all user-configurable parameters in the DocBook XSL Slides HTML stylesheet (for generating HTML slide presentations). Note that the Slides stylesheet for HTML output is a customization layer of the DocBook XSL HTML stylesheet. Therefore, in addition to the slides-specific parameters listed in this section, you can also use a number of HTML stylesheet parameters to control Slides HTML output.

## HTML: General Parameters

keyboard.nav
boolean

## keyboard.nav

Enable keyboard navigation?

    <xsl:param name="keyboard.nav" select="1"></xsl:param>

### Description

If non-zero, JavaScript is added to the slides to enable keyboard navigation. Pressing 'n', space, or return moves forward; pressing 'p' moves backward.

css.stylesheet
uri

## css.stylesheet

CSS stylesheet for slides

    <xsl:param name="css.stylesheet">slides.css</xsl:param>

### Description

Identifies the CSS stylesheet used by all the slides. This parameter can be set in the source document with the <?dbhtml?> pseudo-attribute `css-stylesheet`.

css.stylesheet.dir
uri

## css.stylesheet.dir

Default directory for CSS stylesheets

    <xsl:param name="css.stylesheet.dir"></xsl:param>

### Description

Identifies the default directory for the CSS stylesheet generated on all the slides. This parameter can be set in the source document with the <?dbhtml?> pseudo-attribute `css-stylesheet-dir`.

If non-empty, this value is prepended to each of the stylesheets.

titlefoil.html
filename

## titlefoil.html

Name of title foil HTML file

    <xsl:param name="titlefoil.html" select="concat('index', $html.ext)"></xsl:param>

### Description

Sets the filename used for the slides titlepage.

toc.html
filename

## toc.html

Name of ToC HTML file

    <xsl:param name="toc.html" select="concat('toc', $html.ext)"></xsl:param>

### Description

Sets the filename used for the table of contents page.

foilgroup.toc
boolean

## foilgroup.toc

Put ToC on foilgroup pages?

    <xsl:param name="foilgroup.toc" select="1"></xsl:param>

### Description

If non-zero, a ToC will be placed on foilgroup pages (after any other content).

output.indent
list
no
yes

## output.indent

Indent output?

    <xsl:param name="output.indent">no</xsl:param>

### Description

Specifies the setting of the `indent` parameter on the HTML slides. For more information, see the discussion of the `xsl:output` element in the XSLT specification.

Select from `yes` or `no`.

overlay
boolean

## overlay

Overlay footer navigation?

    <xsl:param name="overlay" select="0"></xsl:param>

### Description

If non-zero, JavaScript is added to the slides to make the bottom navigation appear at the bottom of each page. This option and multiframe are mutually exclusive.

If this parameter is zero, the bottom navigation simply appears below the content of each slide.

show.foil.number
boolean

## show.foil.number

Show foil number on each foil?

    <xsl:param name="show.foil.number" select="0"></xsl:param>

### Description

If non-zero, on each slide there will be its number. Currently not supported in all output formats.

## HTML: Frames Parameters

nav.separator
boolean

## nav.separator

Output separator between navigation and body?

    <xsl:param name="nav.separator" select="1"></xsl:param>

### Description

If non-zero, a separator (`<HR>`) is added between the navigation links and the content of each slide.

toc.row.height
length

## toc.row.height

Height of ToC rows in dynamic ToCs

    <xsl:param name="toc.row.height">22</xsl:param>

### Description

This parameter specifies the height of each row in the table of contents. This is only applicable if a dynamic ToC is used. You may want to adjust this parameter for optimal appearance with the font and image sizes selected by your CSS stylesheet.

toc.bg.color
color

## toc.bg.color

Background color for ToC frame

    <xsl:param name="toc.bg.color">#FFFFFF</xsl:param>

### Description

Specifies the background color used in the ToC frame.

body.bg.color
color

## body.bg.color

Background color for body frame

    <xsl:param name="body.bg.color">#FFFFFF</xsl:param>

### Description

Specifies the background color used in the body column of tabular slides.

toc.width
length

## toc.width

Width of ToC frame

    <xsl:param name="toc.width">250</xsl:param>
    <!-- Presumably in pixels? -->

### Description

Specifies the width of the ToC frame in pixels.

toc.hide.show
boolean

## toc.hide.show

Enable hide/show button for ToC frame

    <xsl:param name="toc.hide.show" select="0"></xsl:param>

### Description

If non-zero, JavaScript (and an additional icon, see hidetoc.image and showtoc.image) is added to each slide to allow the ToC panel to be toggled on each panel.

There is a bug in Mozilla 1.0 (at least as of CR3) that causes the browser to reload the titlepage when this feature is used.

dynamic.toc
boolean

## dynamic.toc

Dynamic ToCs?

    <xsl:param name="dynamic.toc" select="0"></xsl:param>

### Description

If non-zero, JavaScript is used to make the ToC panel dynamic. In a dynamic ToC, each section in the ToC can be expanded and collapsed by clicking on the appropriate image.

active.toc
boolean

## active.toc

Active ToCs?

    <xsl:param name="active.toc" select="0"></xsl:param>

### Description

If non-zero, JavaScript is used to keep the ToC and the current slide in sync. That is, each time the slide changes, the corresponding ToC entry will be underlined.

overlay.logo
uri

## overlay.logo

Logo to overlay on ToC frame

    <xsl:param name="overlay.logo">http://docbook.sourceforge.net/release/buttons/slides-1.png</xsl:param>

### Description

If this URI is non-empty, JavaScript is used to overlay the specified image on the ToC frame.

multiframe
boolean

## multiframe

Use multiple frames for slide bodies?

    <xsl:param name="multiframe" select="0"></xsl:param>

### Description

If non-zero, multiple frames are used for the body of each slide. This is one way of forcing the slide navigation elements to appear in constant locations. The other way is with overlays. The `overlay` and `multiframe` parameters are mutually exclusive.

multiframe.top.bgcolor
color

## multiframe.top.bgcolor

Background color for top navigation frame

    <xsl:param name="multiframe.top.bgcolor">white</xsl:param>

### Description

Specifies the background color of the top navigation frame when multiframe is enabled.

multiframe.bottom.bgcolor
color

## multiframe.bottom.bgcolor

Background color for bottom navigation frame

    <xsl:param name="multiframe.bottom.bgcolor">white</xsl:param>

### Description

Specifies the background color of the bottom navigation frame when multiframe is enabled.

multiframe.navigation.height
length

## multiframe.navigation.height

Height of navigation frames

    <xsl:param name="multiframe.navigation.height">40</xsl:param>

### Description

Specifies the height of the navigation frames in pixels when multiframe is enabled.

## HTML: Graphics Parameters

graphics.dir
uri

## graphics.dir

Graphics directory

    <xsl:param name="graphics.dir"></xsl:param>

### Description

Identifies the graphics directory for the navigation components generated on all the slides. This parameter can be set in the source document with the <?dbhtml?> pseudo-attribute `graphics-dir`.

If non-empty, this value is prepended to each of the graphic image paths.

bullet.image
filename

## bullet.image

Bullet image

    <xsl:param name="bullet.image">toc/bullet.png</xsl:param>

### Description

Specifies the filename of the bullet image used for foils in the framed ToC.

next.image
filename

## next.image

Right-arrow image

    <xsl:param name="next.image">active/nav-next.png</xsl:param>

### Description

Specifies the filename of the right-pointing navigation arrow.

prev.image
filename

## prev.image

Left-arrow image

    <xsl:param name="prev.image">active/nav-prev.png</xsl:param>

### Description

Specifies the filename of the left-pointing navigation arrow.

up.image
filename

## up.image

Up-arrow image

    <xsl:param name="up.image">active/nav-up.png</xsl:param>

### Description

Specifies the filename of the upward-pointing navigation arrow.

home.image
filename

## home.image

Home image

    <xsl:param name="home.image">active/nav-home.png</xsl:param>

### Description

Specifies the filename of the home navigation icon.

toc.image
filename

## toc.image

ToC image

    <xsl:param name="toc.image">active/nav-toc.png</xsl:param>

### Description

Specifies the filename of the ToC navigation icon.

no.next.image
filename

## no.next.image

Inactive right-arrow image

    <xsl:param name="no.next.image">inactive/nav-next.png</xsl:param>

### Description

Specifies the filename of the inactive right-pointing navigation arrow.

no.prev.image
filename

## no.prev.image

Inactive left-arrow image

    <xsl:param name="no.prev.image">inactive/nav-prev.png</xsl:param>

### Description

Specifies the filename of the inactive left-pointing navigation arrow.

no.up.image
filename

## no.up.image

Inactive up-arrow image

    <xsl:param name="no.up.image">inactive/nav-up.png</xsl:param>

### Description

Specifies the filename of the inactive upward-pointing navigation arrow.

no.home.image
filename

## no.home.image

Inactive home image

    <xsl:param name="no.home.image">inactive/nav-home.png</xsl:param>

### Description

Specifies the filename of the inactive home navigation icon.

no.toc.image
filename

## no.toc.image

Inactive ToC image

    <xsl:param name="no.toc.image">inactive/nav-toc.png</xsl:param>

### Description

Specifies the filename of the inactive ToC navigation icon.

plus.image
filename

## plus.image

Plus image

    <xsl:param name="plus.image">toc/closed.png</xsl:param>

### Description

Specifies the filename of the plus image; the image used in a dynamic ToC to indicate that a section can be expanded.

minus.image
filename

## minus.image

Minus image

    <xsl:param name="minus.image">toc/open.png</xsl:param>

### Description

Specifies the filename of the minus image; the image used in a dynamic ToC to indicate that a section can be collapsed.

hidetoc.image
filename

## hidetoc.image

Hide ToC image

    <xsl:param name="hidetoc.image">hidetoc.gif</xsl:param>

### Description

Specifies the filename of the hide ToC image. This is used when the ToC hide/show parameter is enabled.

showtoc.image
filename

## showtoc.image

Show ToC image

    <xsl:param name="showtoc.image">showtoc.gif</xsl:param>

### Description

Specifies the filename of the show ToC image. This is used when the ToC hide/show parameter is enabled.

## HTML: JavaScript Parameters

script.dir
uri

## script.dir

Script directory

    <xsl:param name="script.dir"></xsl:param>

### Description

Identifies the JavaScript source directory for the slides. This parameter can be set in the source document with the <?dbhtml?> pseudo-attribute `script-dir`.

If non-empty, this value is prepended to each of the JavaScript files.

ua.js
filename

## ua.js

UA JavaScript file

    <xsl:param name="ua.js">ua.js</xsl:param>

### Description

Specifies the filename of the UA JavaScript file. It's unlikely that you will ever need to change this parameter.

xbDOM.js
filename

## xbDOM.js

xbDOM JavaScript file

    <xsl:param name="xbDOM.js">xbDOM.js</xsl:param>

### Description

Specifies the filename of the xbDOM JavaScript file. It's unlikely that you will ever need to change this parameter.

xbStyle.js
filename

## xbStyle.js

xbStyle JavaScript file

    <xsl:param name="xbStyle.js">xbStyle.js</xsl:param>

### Description

Specifies the filename of the xbStyle JavaScript file. It's unlikely that you will ever need to change this parameter.

xbLibrary.js
filename

## xbLibrary.js

xbLibrary JavaScript file

    <xsl:param name="xbLibrary.js">xbLibrary.js</xsl:param>

### Description

Specifies the filename of the xbLibrary JavaScript file. It's unlikely that you will ever need to change this parameter.

xbCollapsibleLists.js
filename

## xbCollapsibleLists.js

xbCollapsibleLists JavaScript file

    <xsl:param name="xbCollapsibleLists.js">xbCollapsibleLists.js</xsl:param>

### Description

Specifies the filename of the xbCollapsibleLists JavaScript file. It's unlikely that you will ever need to change this parameter.

overlay.js
filename

## overlay.js

Overlay JavaScript file

    <xsl:param name="overlay.js">overlay.js</xsl:param>

### Description

Specifies the filename of the overlay JavaScript file. It's unlikely that you will ever need to change this parameter.

slides.js
filename

## slides.js

Slides overlay file

    <xsl:param name="slides.js">slides.js</xsl:param>

### Description

Specifies the filename of the slides JavaScript file. It's unlikely that you will ever need to change this parameter.

## HTML: Localization Parameters

text.home
string

## text.home

Home

    <xsl:param name="text.home">Home</xsl:param>

### Description

FIXME:

text.toc
string

## text.toc

FIXME:

    <xsl:param name="text.toc">ToC</xsl:param>

### Description

FIXME:

text.prev
string

## text.prev

FIXME:

    <xsl:param name="text.prev">Prev</xsl:param>

### Description

FIXME:

text.up
string

## text.up

FIXME:

    <xsl:param name="text.up">Up</xsl:param>

### Description

FIXME:

text.next
string

## text.next

FIXME:

    <xsl:param name="text.next">Next</xsl:param>

### Description

FIXME:

## The Stylesheet

The `param.xsl` stylesheet is just a wrapper around all these parameters.

    <!-- This file is generated from param.xweb -->

    <xsl:stylesheet exclude-result-prefixes="src" version="1.0">

    <!-- ********************************************************************
         $Id: param.xweb 6633 2007-02-21 18:33:33Z xmldoc $
         ********************************************************************

         This file is part of the DocBook Slides Stylesheet distribution.
         See ../README or http://docbook.sf.net/release/xsl/current/ for
         copyright and other information.

         ******************************************************************** -->

    <src:fragref linkend="active.toc.frag"></src:fragref>
    <src:fragref linkend="body.bg.color.frag"></src:fragref>
    <src:fragref linkend="bullet.image.frag"></src:fragref>
    <src:fragref linkend="css.stylesheet.frag"></src:fragref>
    <src:fragref linkend="css.stylesheet.dir.frag"></src:fragref>
    <src:fragref linkend="dynamic.toc.frag"></src:fragref>
    <src:fragref linkend="foilgroup.toc.frag"></src:fragref>
    <src:fragref linkend="graphics.dir.frag"></src:fragref>
    <src:fragref linkend="hidetoc.image.frag"></src:fragref>
    <src:fragref linkend="home.image.frag"></src:fragref>
    <src:fragref linkend="keyboard.nav.frag"></src:fragref>
    <src:fragref linkend="minus.image.frag"></src:fragref>
    <src:fragref linkend="multiframe.bottom.bgcolor.frag"></src:fragref>
    <src:fragref linkend="multiframe.frag"></src:fragref>
    <src:fragref linkend="multiframe.navigation.height.frag"></src:fragref>
    <src:fragref linkend="multiframe.top.bgcolor.frag"></src:fragref>
    <src:fragref linkend="nav.separator.frag"></src:fragref>
    <src:fragref linkend="next.image.frag"></src:fragref>
    <src:fragref linkend="no.home.image.frag"></src:fragref>
    <src:fragref linkend="no.next.image.frag"></src:fragref>
    <src:fragref linkend="no.prev.image.frag"></src:fragref>
    <src:fragref linkend="no.toc.image.frag"></src:fragref>
    <src:fragref linkend="no.up.image.frag"></src:fragref>
    <src:fragref linkend="output.indent.frag"></src:fragref>
    <src:fragref linkend="overlay.frag"></src:fragref>
    <src:fragref linkend="overlay.js.frag"></src:fragref>
    <src:fragref linkend="overlay.logo.frag"></src:fragref>
    <src:fragref linkend="plus.image.frag"></src:fragref>
    <src:fragref linkend="prev.image.frag"></src:fragref>
    <src:fragref linkend="script.dir.frag"></src:fragref>
    <src:fragref linkend="show.foil.number.frag"></src:fragref>
    <src:fragref linkend="showtoc.image.frag"></src:fragref>
    <src:fragref linkend="slides.js.frag"></src:fragref>
    <src:fragref linkend="text.home.frag"></src:fragref>
    <src:fragref linkend="text.next.frag"></src:fragref>
    <src:fragref linkend="text.prev.frag"></src:fragref>
    <src:fragref linkend="text.toc.frag"></src:fragref>
    <src:fragref linkend="text.up.frag"></src:fragref>
    <src:fragref linkend="titlefoil.html.frag"></src:fragref>
    <src:fragref linkend="toc.bg.color.frag"></src:fragref>
    <src:fragref linkend="toc.hide.show.frag"></src:fragref>
    <src:fragref linkend="toc.html.frag"></src:fragref>
    <src:fragref linkend="toc.image.frag"></src:fragref>
    <src:fragref linkend="toc.row.height.frag"></src:fragref>
    <src:fragref linkend="toc.width.frag"></src:fragref>
    <src:fragref linkend="ua.js.frag"></src:fragref>
    <src:fragref linkend="up.image.frag"></src:fragref>
    <src:fragref linkend="xbCollapsibleLists.js.frag"></src:fragref>
    <src:fragref linkend="xbDOM.js.frag"></src:fragref>
    <src:fragref linkend="xbStyle.js.frag"></src:fragref>
    <src:fragref linkend="xbLibrary.js.frag"></src:fragref>

    </xsl:stylesheet>